- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# mismatched_arguments_scope_base Class Reference

`#include <fastformat/format/specification_defect_handling/mismatched_arguments_scope_base.hpp>`

Inheritance diagram for mismatched_arguments_scope_base:

List of all members.

## Detailed Description

Base class for scoping classes that customise the behaviour in response to mismatched arguments.

## Public Types
typedef mismatched_arguments_scope_base | class_type
| This type.
## Public Member Functions
virtual | ~mismatched_arguments_scope_base () throw ()
| Restores the thread/process mismatched handler to the function registered prior to the construction of this instance.
## Protected Member Functions
| mismatched_arguments_scope_base (fastformat_mismatchedHandler_t handler, void *param)
| Causes the thread/process mismatched handler to be set to a function that ignores the `FF_REPLACEMENTCODE_UNREFERENCED_ARGUMENT` code and passes all others to the previously-registered handler.
int | handle_default (void *, ff_replacement_code_t code, size_t numParameters, int parameterIndex, ff_string_slice_t *slice, void *reserved0, size_t reserved1, void *reserved2)
| Invokes.
## Protected Attributes
mismatched_handler_info_t | m_previous
| Previous handler, for chaining.

## Member Typedef Documentation

typedef mismatched_arguments_scope_base class_type

This type.

Reimplemented in ignore_missing_arguments_scope, and ignore_unreferenced_arguments_scope.

## Constructor & Destructor Documentation

mismatched_arguments_scope_base | ( | fastformat_mismatchedHandler_t | handler,
|  | void * | param |
| ) |  |  | `[inline, explicit, protected]`

Causes the thread/process mismatched handler to be set to a function that ignores the `FF_REPLACEMENTCODE_UNREFERENCED_ARGUMENT` code and passes all others to the previously-registered handler.

virtual ~mismatched_arguments_scope_base | ( |  | ) | throw ()`[inline, virtual]`

Restores the thread/process mismatched handler to the function registered prior to the construction of this instance.

Warning:
  The system behaviour is undefined if the thread/process mismatch handler is modified during the lifetime of this instance

## Member Function Documentation

int handle_default | ( | void * | ,
|  | ff_replacement_code_t | code,
|  | size_t | numParameters,
|  | int | parameterIndex,
|  | ff_string_slice_t * | slice,
|  | void * | reserved0,
|  | size_t | reserved1,
|  | void * | reserved2 |
| ) |  |  | `[inline, protected]`

Invokes.

## Member Data Documentation

mismatched_handler_info_t m_previous`[protected]`

Previous handler, for chaining.

The documentation for this class was generated from the following file:

- fastformat/format/specification_defect_handling/mismatched_arguments_scope_base.hpp

FastFormat Library documentation © Matthew Wilson, 2006-2009 |